# Description
Docker image to clean RBAC files and sort it. This is done to remove unnecessary fields in the RBAC json files that 
pollute the RBAC data. Fields that are cleaned are: 

- `version`
- `created_by`
- `created_at`
- `updated_by`
- `updated_at`

This does not get rid of these fields in the DB, it just ensures that only relevant data is in the RBAC json files.
The sanitation sorts the file in the same order each time so that subsequent MRs will show true diffs. This will make it 
much easier to see what changes are going out and will make reviewing MRs an easier process.

# Steps to Run Pipeline job

- Ensure that merge request is made into `master` branch with RBAC changes
- In the pipeline for the MR, run the `RBAC Clean` manual job
- This will detect all changed RBAC json files and make a commit with the sanitized result

# Steps to Run Locally

- Checkout branch with changed RBAC files
- `cd db`
- `./build-RBAC-clean.sh`
- Make a commit with the newly sanitized files
